Subject: Re: Bug: Wrong text file type from CVS under Perl?
From: "Peter Andersen" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 11 Apr 2002 10:37:53 +0200

----- Original Message -----
From: "Gerrit P. Haase" <[email-masked]>
To: "Peter Andersen" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, April 10, 2002 11:05 PM
Subject: Re: Bug: Wrong text file type from CVS under Perl?

...
> Oops, I am a little tired...
> I'm using perl-5.7.3 here;)
> Well at least this is good news to know that it will work
> with perl-5.8.  This means I cannot reproduce this bug now
> because I have no perl-5.6.1 installed here.
>
> Another option is PERLIO.
> Try to:
> 1. export PERLIO=perlio
> and:
> 2. export PERLIO=stdio
> maybe this makes a difference.

Unfortunately not.
Here is a session showing the problem:

$ /bin/rm CHANGES
$ cvs up CHANGES
U CHANGES
$ cat -v CHANGES | head -1
******************************************
$ /bin/rm CHANGES
$ perl -e "system 'cvs up CHANGES';"
U CHANGES
$ cat -v CHANGES | head -1
******************************************^M

As you can see I get ^M at the end of the lines (all lines - here just first
shown).
This does not happen with all repositories, though.
I have tried looking at the CHANGES,v file in the repository, and there are
no ^M characters in there.
Also, as you can see, this does not happen when call cvs directly on the
command line. So the repository seems OK. It must be a perl issue(?)
I have verified that it is the same version of cvs that I run directly in
the shell and via perl.

I have tried to reinstall the entire cygwin (from installer 2.194.2.22).
I cannot get newer versions of perl than  5.6.1-2.
How do I get 5.7 or 5.8 that you mention?

/Peter Andersen

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/